Skip to content

Search Ads Insights

This section describes Apple Search Ads insight services.

Provides paid keywords of SearchAds and their shares for the given app.

bash
GET /searchads-stats/paid-keywords/{trackId}/{countryCode}?startDate={startDate}&endDate={endDate}

Request Parameters

ParameterDescription
trackId(required) Appstore track id of the app
countryCode(required) Two letter country code
startDate(required) YYYY-MM-DD formatted date, start date of the date range
endDate(required) YYYY-MM-DD formatted date, end date of the date range
  • The date range between startDate and endDate can be at most 14 days.

  • appShare represents the app's total share across all ad impressions. slotShares represents the app's share within a specific slot, relative to the total impressions of that slot.

Response Fields

FieldDescription
trackIdAppstore track id of the app
sharesList of paid keywords and their shares

Example request

bash
curl "https://api.mobileaction.co/searchads-stats/paid-keywords/1482155847/US?startDate=2026-05-18&endDate=2026-05-25&token=YOUR_API_KEY"

Example response

json
{
  "trackId": 1482155847,
  "shares": [
    {
      "keyword": "free phone games",
      "appShare": 12.5,
      "slotShares": {
        "1": 25.0
      }
    },
    {
      "keyword": "puzzle escape games",
      "appShare": 6.25,
      "slotShares": {
        "2": 12.5
      }
    },
    {
      "keyword": "rois",
      "appShare": 46.875,
      "slotShares": {
        "1": 81.25,
        "2": 12.5
      }
    },
    {
      "keyword": "rock balance",
      "appShare": 6.25,
      "slotShares": {
        "1": 12.5
      }
    },
    {
      "keyword": "88 fortune slot machine",
      "appShare": 21.875,
      "slotShares": {
        "1": 31.25,
        "2": 12.5
      }
    },
    {
      "keyword": "free onlines games",
      "appShare": 21.875,
      "slotShares": {
        "1": 25.0,
        "2": 18.75
      }
    }
  ]
}

Paying Apps ( 50 Credits / Request )

Provides the track ids and shares of apps paying for the given keyword.

bash
GET /searchads-stats/paying-apps/{countryCode}?keyword={keyword}&startDate={startDate}&endDate={endDate}

Request Parameters

ParameterDescription
trackId(required) Appstore track id of the app
countryCode(required) Two letter country code
startDate(required) YYYY-MM-DD formatted date, start date of the date range
endDate(required) YYYY-MM-DD formatted date, end date of the date range
  • The date range between startDate and endDate can be at most 14 days.

  • share represents the app's total share across all ad impressions. slotShares represents the app's share within a specific slot, relative to the total impressions of that slot.

Response Fields

FieldDescription
keywordGiven keyword
sharesList of paying apps' track ids and their shares

Example request

bash
curl "https://api.mobileaction.co/searchads-stats/paying-apps/US?keyword=game&startDate=2026-05-20&endDate=2026-05-25&token=YOUR_API_KEY"

Example response

json
{
  "keyword": "game",
  "startDate": "2026-05-20",
  "endDate": "2026-05-25",
  "shares": [
    {
      "trackId": 1606549505,
      "share": 34.73389355742297,
      "slotShares": {
        "1": 43.333333333333336,
        "2": 25.98870056497175
      },
      "defaultProductPageCount": 0,
      "customProductPageCount": 1
    },
    {
      "trackId": 6744304405,
      "share": 28.571428571428573,
      "slotShares": {
        "1": 41.666666666666664,
        "2": 15.254237288135593
      },
      "defaultProductPageCount": 1,
      "customProductPageCount": 0
    },
    {
      "trackId": 1617391485,
      "share": 19.607843137254903,
      "slotShares": {
        "1": 5.0,
        "2": 34.463276836158194
      },
      "defaultProductPageCount": 1,
      "customProductPageCount": 1
    }
  ]
}